Package org.opensaml.saml.saml2.core.impl

# Class RequestedAuthnContextImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.RequestedAuthnContextImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `RequestedAuthnContext`

public class RequestedAuthnContextImpl extends AbstractXMLObject implements RequestedAuthnContext
Concrete implementation of `RequestedAuthnContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthnContextClassRef>`
`authnContextClassRefs`
AuthnContextClassRef child elements.
`private final XMLObjectChildrenList<AuthnContextDeclRef>`
`authnContextDeclRefs`
AuthnContextDeclRef child elements.
`private AuthnContextComparisonTypeEnumeration`
`comparison`
Comparison attribute.

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestedAuthnContext

`COMPARISON_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestedAuthnContextImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<AuthnContextClassRef>`
`getAuthnContextClassRefs()`
Gets the AuthnContextClassRefs of this request.
`List<AuthnContextDeclRef>`
`getAuthnContextDeclRefs()`
Gets the AuthnContextDeclRefs of this request.
`AuthnContextComparisonTypeEnumeration`
`getComparison()`
Gets the Comparison attribute value of the requested authn context.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setComparison(AuthnContextComparisonTypeEnumeration newComparison)`
Sets the Comparison attribute value of the requested authn context.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### authnContextClassRefs

@Nonnull private final XMLObjectChildrenList<AuthnContextClassRef> authnContextClassRefs
AuthnContextClassRef child elements.

### authnContextDeclRefs

@Nonnull private final XMLObjectChildrenList<AuthnContextDeclRef> authnContextDeclRefs
AuthnContextDeclRef child elements.

### comparison

private AuthnContextComparisonTypeEnumeration comparison
Comparison attribute.

## Constructor Details

### RequestedAuthnContextImpl

protected RequestedAuthnContextImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getComparison

@Nullable public AuthnContextComparisonTypeEnumeration getComparison()
Gets the Comparison attribute value of the requested authn context.

Specified by:
  `getComparison` in interface `RequestedAuthnContext`
Returns:
  the Comparison attribute value of the requested authn context

### setComparison

public void setComparison(@Nullable AuthnContextComparisonTypeEnumeration newComparison)
Sets the Comparison attribute value of the requested authn context.

Specified by:
  `setComparison` in interface `RequestedAuthnContext`
Parameters:
  `newComparison` - the SessionIndex of this request

### getAuthnContextClassRefs

@Nonnull @Live public List<AuthnContextClassRef> getAuthnContextClassRefs()
Gets the AuthnContextClassRefs of this request.

Specified by:
  `getAuthnContextClassRefs` in interface `RequestedAuthnContext`
Returns:
  the AuthnContextClassRefs of this request

### getAuthnContextDeclRefs

@Nonnull @Live public List<AuthnContextDeclRef> getAuthnContextDeclRefs()
Gets the AuthnContextDeclRefs of this request.

Specified by:
  `getAuthnContextDeclRefs` in interface `RequestedAuthnContext`
Returns:
  the AuthnContextDeclRef of this request

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements